> For the complete documentation index, see [llms.txt](https://docs.maibmerchants.md/mia-qr-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maibmerchants.md/mia-qr-api/en/endpoints/authentication.md).

# Authentication

To securely access and use the QR MIA API, each request must be authorized. Authentication is done via a standard OAuth 2.0 Client Credentials Flow, using the Client ID and Client Secret provided by maib.

**Main steps of authentication:**

**Obtaining the access token (Access Token):**\
The client application sends a POST request to the `/v2/auth/token` endpoint, providing the clientId and clientSecret.

**Receiving the token:**\
If the credentials are correct, the response will contain:

* `accessToken`: a JWT (JSON Web Token) required for authorizing subsequent requests.
* `expiresIn`: token lifetime in seconds (e.g., 300 seconds = 5 minutes).
* `tokenType`: usually `Bearer`.

**Using the token in requests:**\
For every call to other API endpoints, the token must be included in the HTTP Authorization header in the format:

```http
Authorization: Bearer {access_token}
```

**Token renewal:**\
After the accessToken expires, the client must repeat step 1 to obtain a new token.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maibmerchants.md/mia-qr-api/en/endpoints/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
